summaryrefslogtreecommitdiffstats
path: root/debian/cryptsetup.prerm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/cryptsetup.prerm')
-rw-r--r--debian/cryptsetup.prerm27
1 files changed, 27 insertions, 0 deletions
diff --git a/debian/cryptsetup.prerm b/debian/cryptsetup.prerm
new file mode 100644
index 0000000..f0cb4b2
--- /dev/null
+++ b/debian/cryptsetup.prerm
@@ -0,0 +1,27 @@
+#! /bin/sh
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+case "$1" in
+ remove)
+ if grep -q '^dm_mod\s' /proc/modules; then
+ cryptmap="$(dmsetup table --target crypt | sed -n 's/:.*//p' | tr '\n' ' ')"
+ if [ -n "$cryptmap" ]; then
+ db_fset cryptsetup/prerm_active_mappings seen false
+ db_subst cryptsetup/prerm_active_mappings cryptmap "$cryptmap"
+ db_input high cryptsetup/prerm_active_mappings || true
+ db_go || true
+ db_get cryptsetup/prerm_active_mappings
+ if [ "$RET" = "false" ]; then
+ exit 1
+ fi
+ fi
+ fi
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0